<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:b="http://bootsfaces.net/ui"
      xmlns:c="http://java.sun.com/jsp/jstl/core"

>


<ui:composition template="/arch.xhtml">
    <ui:define name="head">
        <title>Mes recrutements</title>
    </ui:define>

    <ui:define name="content">
        <h:outputScript library="js" name="myJob.js"></h:outputScript>

        <div class="global">

            <div class="filterAndTitleAndAdd"
                 style="display: flex; flex-direction: row; justify-content: space-between; margin-bottom: 2rem;">
                <div class="filter"
                     style="display: flex; flex-direction: column; justify-content: center; margin-left: 4vh">
                    <b:button look="info" value="Filter" size="lg">
                    </b:button>
                </div>
                <div class="title" style="display: flex; flex-direction: column; justify-content: center">
                    <h1>Mes recrutements</h1>
                </div>
                <div class="Add"
                     style="display: flex; flex-direction: column; justify-content: center; margin-right: 4vh">
                    <b:button value="Créer un recrutement" look="success" onclick="$('.CreationModal1').modal()"
                              size="lg"/>

                    <b:modal title="Créer un recrutement" styleClass="CreationModal1" closable="false"
                             close-on-escape="false" backdrop="false" size="modal-lg">
                        <div class="field">
                            <h:form>
                                <fieldset>
                                    <legend>Veuillez saisir les détails du poste</legend>
                                    <div class="totalField" style="display:flex; flex-direction: row;">
                                        <div class="fieldInput"
                                             style="flex: 3; padding: 1rem; background-color: #F5F5F5; border-radius: 5px">
                                            <div class="selectBoss"
                                                 style="display: flex; flex-direction: row;justify-content: flex-start; margin-bottom: 2rem;">
                                                <div style="flex:1; font-weight: bold">Responsable du recrutement</div>
                                                <div style=" flex:1;margin-left: 1rem" id="selectRecruiter">
                                                    <b:selectOneMenu style="flex:1;text-align: center;"
                                                                     class="ReferentSelectInput" id="referentSelect">
                                                        <f:selectItem itemLabel="(Sélectionner)"
                                                                      itemValue=""> </f:selectItem>
                                                        <f:selectItems var="referent" value="#{mbJob.referents}"
                                                                       itemValue="#{referent.id}"
                                                                       itemLabel="#{referent.firstName} #{referent.lastName}"/>
                                                    </b:selectOneMenu>
                                                </div>
                                            </div>
                                            <div class="form-group">
                                                <label for="inputJobTitle">Titre du poste</label>
                                                <b:inputText class="inputJobTitle" id="inputJobTitle"
                                                             placeholder="Exemple : recruteur sénior H/F"
                                                />
                                            </div>
                                            <div class="citySelection">
                                                <label>Lieu du poste</label>
                                                <b:row>
                                                    <b:column colMd="2" colXs="2" colSm="2"
                                                              style="text-align:center; vertical-align: bottom;">
                                                        <h:outputText style="font-weight: bold" value="Code postal"/>
                                                    </b:column>
                                                    <b:column colMd="4" colXs="4" colSm="4">
                                                        <h:outputScript library="js" name="city.js"></h:outputScript>
                                                        <b:remoteCommand name="SetCityInfo"
                                                                         actionListener="#{mbCandidate.setCityInfo}"
                                                                         parameters="CityInfo"/>
                                                        <div class="form-group">
                                                            <div><b:inputText placeholder="Saisissez un code postal"
                                                                              class="postalCodeInput"
                                                                              onkeyup="postalCodes()"/>
                                                            </div>
                                                            <div class="postalCodeSelect">
                                                            </div>
                                                        </div>
                                                    </b:column>

                                                    <b:column colMd="2" colXs="2" colSm="2"
                                                              style="text-align:center; vertical-align: bottom;">
                                                        <h:outputText style="font-weight: bold" value="Ville"/>
                                                    </b:column>
                                                    <b:column colMd="4" colXs="4" colSm="4">
                                                        <div class="citySelect">
                                                        </div>
                                                        <div><b:inputText style="visibility: hidden;"
                                                                          class="cityInput"/>
                                                        </div>
                                                    </b:column>
                                                </b:row>
                                            </div>
                                            <div class="">
                                                <label>Rémunération</label>
                                                <b:inputText class="inputMinSalary"
                                                             placeholder="Fourchette basse (brut annuel)"/> <b:inputText
                                                    class="inputMaxSalary"
                                                    placeholder="Fourchette haute (brut annuel)"/>
                                            </div>
                                            <div class="time"
                                                 style="display: flex; flex-direction: row;justify-content: flex-start; margin-bottom: 2rem;">
                                                <label style="flex:1;" for="timeSelect">Horaire du poste</label>
                                                <b:selectOneMenu
                                                        style="flex:1;text-align: center;" class="timeSelectInput"
                                                        id="timeSelect">
                                                    <f:selectItem itemLabel="(Sélectionner)"
                                                                  itemValue=""> </f:selectItem>
                                                    <f:selectItems var="time" value="#{mbJob.times}"
                                                                   itemValue="#{time.id}"
                                                                   itemLabel="#{time.type}"/>
                                                </b:selectOneMenu>
                                            </div>
                                            <div class="contract"
                                                 style="display: flex; flex-direction: row;justify-content: flex-start; margin-bottom: 2rem;">
                                                <label style="flex:1;" for="contractSelect">Type de contrat</label>
                                                <b:selectOneMenu
                                                        style="flex:1;text-align: center;"
                                                        class="contractSelectInput"
                                                        id="contractSelect">
                                                    <f:selectItem itemLabel="(Sélectionner)"
                                                                  itemValue=""> </f:selectItem>
                                                    <f:selectItems var="contract" value="#{mbJob.contracts}"
                                                                   itemValue="#{contract.id}"
                                                                   itemLabel="#{contract.type}"/>
                                                </b:selectOneMenu>
                                            </div>
                                            <div class="contract"
                                                 style="display: flex; flex-direction: row;justify-content: flex-start; margin-bottom: 2rem;">
                                                <label style="flex:1;"
                                                       for="diplomaSelect">Niveau de diplôme requis</label>
                                                <b:selectOneMenu
                                                        style="flex:1;text-align: center;"
                                                        class="diplomaSelectInput"
                                                        id="diplomaSelect">
                                                    <f:selectItem itemLabel="(Sélectionner)"
                                                                  itemValue=""> </f:selectItem>
                                                    <f:selectItems var="level" value="#{mbJob.levels}"
                                                                   itemValue="#{level.id}"
                                                                   itemLabel="#{level.level}"/>
                                                </b:selectOneMenu>
                                            </div>
                                        </div>
                                        <div class="detailInput"
                                             style="margin-left:2rem; display: flex; flex-direction: column; flex: 4; padding: 1rem; background-color: #DFF2FF; border-radius: 5px">
                                            <div class="detail" style="flex: 1; display: flex; flex-direction: column">
                                                <label for="jobDetail">Détails du poste</label>
                                                <b:inputTextarea style="flex: 1; height:50vh" id="jobDetail"
                                                                 class="jobDetailInput"
                                                                 placeholder="Entrez ici les détails du poste"></b:inputTextarea>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="buttonSet"
                                         style="display: flex;flex-direction: row; justify-content: space-evenly; margin-top: 2rem">
                                        <b:button value="Annuler" dismiss="modal"/>
                                        <b:button value="Suivant" look="primary" onclick="createJob()"/>
                                    </div>
                                </fieldset>
                            </h:form>
                        </div>
                        <b:alert class="failJobFields" style="visibility:hidden" severity="danger"
                                 title="Erreur"></b:alert>
                    </b:modal>


                    <b:modal title="Définition des étapes du recrutement" styleClass="CreationModal2" closable="false"
                             close-on-escape="false" backdrop="false">
                        <label for="stepActualJob">Voici le processus actuel de recrutement</label>
                        <ol id="stepActualJob">
                        </ol>
                        <div class="field">
                            <b:form>
                                <fieldset>
                                    <legend>Ajouter une étape</legend>
                                    <small>Vous pouvez ajouter une étape de recrutement qui s'ajoutera après l'étape 1</small>
                                    <div>
                                        <label for="stepName">Nom de l'étape</label>
                                        <b:inputText class="inputStepName" id="stepName"
                                                     placeholder="Exemple : Entretien RH"/>
                                    </div>
                                    <div class="selectBoss"
                                         style="display: flex; flex-direction: row;justify-content: flex-start; margin-bottom: 2rem;">
                                        <div style="flex:1; font-weight: bold">Responsable de l'étape</div>
                                        <div style=" flex:1;margin-left: 1rem" id="selectStepBoss">
                                            <b:inputText class="stepFirstNameInput"
                                                         placeholder="Prénom"/> <b:inputText class="stepLastNameInput"
                                                                                             value="#{mbStep.referentLastName}"
                                                                                             placeholder="Nom"/>
                                        </div>
                                    </div>
                                    <div class="">
                                        <label>Email du responsable de l'étape</label>
                                        <b:inputText class="stepMailInput"
                                                     placeholder="azerty@azerty.fr"/>
                                    </div>

                                    <div class="detail">
                                        <label for="stepDetail">Détails de l'étape</label>
                                        <b:inputTextarea id="stepDetail"
                                                         class="stepDetailInput"
                                                         placeholder="Entrez ici les détails de l'étape, ces informations seront transmises aux candidats à l'entrée de l'étape."></b:inputTextarea>
                                    </div>
                                </fieldset>
                                <div class="buttonSet"
                                     style="display: flex;flex-direction: row; justify-content: space-evenly">
                                    <b:button value="Ajouter l'étape" look="primary" onclick="addStepToJob()"/>
                                    <b:button value="Enregistrer le recrutement" look="Success" dismiss="modal"
                                              onclick="validJob()"/>
                                </div>
                            </b:form>
                        </div>
                        <b:alert class="failStepFields" style="visibility:hidden" severity="danger"
                                 title="Erreur"></b:alert>
                    </b:modal>

                </div>
            </div>

            <c:forEach var="job"
                       items="#{mbJob.currentJob()}">
                <div class="jobDetailPanel">
                    <c:if test="#{job.effectiveHiringDate ==null and job.closeDate ==null}">
                    <b:panel
                            look="info"
                            style="margin-bottom=1rem" collapsed="true">
                        <div class="Job">
                            <f:facet name="heading" style="background-color: #DFF2FF">
                                <div class="resumeJob"
                                     style="display: flex; flex-direction: row; justify-content: space-between;">
                                    <div class="onOff"
                                         style=" padding:3rem;display: flex; flex-direction: column; justify-content: center; align-content: center">
                                        <c:if test="#{mbJob.isThatJobIsActive(job.id)}">
                                        <b:switch value="true" off-text="Désactivé" on-text="Activé"
                                                  offColor="danger"
                                                  onColor="success">
                                        </b:switch>
                                        </c:if>
                                        <c:if test="#{!mbJob.isThatJobIsActive(job.id)}">
                                            <b:switch value="false" off-text="Désactivé" on-text="Activé"
                                                      offColor="danger"
                                                      onColor="success">
                                            </b:switch>
                                        </c:if>
                                    </div>
                                    <div class="jobTitle"
                                         style="display: flex; flex-direction: column; justify-content: center; width: 20vw; text-align: center">
                                        <h:outputText style="font-weight: bold; color: black; font-size: medium"
                                                      value="#{job.title}"></h:outputText>
                                    </div>

                                    <div class="processBox"
                                         style="  display: flex; flex-direction: column; margin: 1rem; border-radius: 5px; align-content: center; justify-content: center">
                                        <c:if test="#{mbJob.numberOfCandidateInProcess(job.id) == 0}">
                                        <b:panel title="Candidat en process" look="warning" collapsible="false">
                                            <div style="text-align: center"><h:outputText
                                                    style="color: black; font-weight: bold"
                                                    value="#{mbJob.numberOfCandidateInProcess(job.id)}"/></div>
                                        </b:panel>
                                        </c:if>
                                        <c:if test="#{mbJob.numberOfCandidateInProcess(job.id) != 0}">
                                            <b:panel title="Candidat en process" look="primary" collapsible="false">
                                                <div style="text-align: center"><h:outputText
                                                        style="color: black; font-weight: bold"
                                                        value="#{mbJob.numberOfCandidateInProcess(job.id)}"/></div>
                                            </b:panel>
                                        </c:if>
                                    </div>
                                    <b:form>
                                        <div class="gestionButton"
                                             style="display: flex; flex-direction: column; justify-content: center; margin-right: 4vw">
                                            <b:commandButton look="warning" style="color=white" value="Gérer le poste"
                                                             action="#{mbStep.RedirectToDetailJob(job.getId())}"></b:commandButton>
                                        </div>
                                    </b:form>
                                </div>
                            </f:facet>
                            <b:well class="detailJob"
                                    style="display: flex;flex-direction: row;justify-content: space-between;">
                                <c:forEach var="step" items="#{mbStep.stepList(job.id)}">
                                    <c:if test="#{mbStep.numberOfActualCandidate(step.id) != 0 and step.stepNumber != 100}">
                                    <b:panel  look="primary"  style="width:20vh;text-align:center, margin-left: 1vw;"
                                             title="#{step.name}"
                                             collapsible="false">
                                        <div style="text-align: center"><h:outputText
                                                style="color: black; font-weight: bold"
                                                value="#{mbStep.numberOfActualCandidate(step.id)}"/></div>
                                    </b:panel>
                                    </c:if>
                                    <c:if test="#{mbStep.numberOfActualCandidate(step.id) == 0 and step.stepNumber != 100}">
                                        <b:panel look="warning" style="width:20vh;text-align:center, margin-left: 1vw;"
                                                 title="#{step.name}"
                                                 collapsible="false">
                                            <div style="text-align: center"><h:outputText
                                                    style="color: black; font-weight: bold"
                                                    value="#{mbStep.numberOfActualCandidate(step.id)}"/></div>
                                        </b:panel>
                                    </c:if>
                                    <c:if test="#{step.stepNumber == 100}">
                                        <b:panel look="danger" style="width:20vh;text-align:center, margin-left: 1vw;"
                                                 title="#{step.name}"
                                                 collapsible="false">
                                            <div style="text-align: center"><h:outputText
                                                    style="color: black; font-weight: bold"
                                                    value="#{mbStep.numberOfActualCandidate(step.id)}"/></div>
                                        </b:panel>
                                    </c:if>
                                </c:forEach>

                            </b:well>
                        </div>
                    </b:panel>
                    </c:if>
                    <c:if test="#{job.effectiveHiringDate !=null}">
                        <b:panel
                                look="success"
                                style="margin-bottom=1rem" collapsed="true">
                            <div class="Job">
                                <f:facet name="heading" style="background-color: #DFF2FF">
                                    <div class="resumeJob"
                                         style="display: flex; flex-direction: row; justify-content: space-between;">
                                        <div class="onOff"
                                             style=" padding:3rem;display: flex; flex-direction: column; justify-content: center; align-content: center">
                                                <b:switch value="false" off-text="Désactivé" on-text="Activé"
                                                          offColor="warning"
                                                          onColor="success" disabled="true">
                                                </b:switch>
                                        </div>
                                        <div class="jobTitle"
                                             style="display: flex; flex-direction: column; justify-content: center; width: 20vw; text-align: center">
                                            <h:outputText style="font-weight: bold; color: black; font-size: medium"
                                                          value="#{job.title}"></h:outputText>
                                        </div>

                                        <div class="processBox"
                                             style="  display: flex; flex-direction: column; margin: 1rem; border-radius: 5px; align-content: center; justify-content: center">
                                            <b:panel title="Candidat recruté" look="info" collapsible="false">
                                                <div style="text-align: center"><h:outputText
                                                        style="color: black; font-weight: bold"
                                                        value="#{mbJob.hiredCandidateOnTheJob(job.id).firstName} #{mbJob.hiredCandidateOnTheJob(job.id).lastName}"/></div>
                                            </b:panel>
                                        </div>
                                        <b:form>
                                            <div class="gestionButton"
                                                 style="display: flex; flex-direction: column; justify-content: center; margin-right: 4vw">
                                                <b:commandButton look="warning" style="color=white" value="Détail du poste"
                                                                 action="#{mbStep.RedirectToDetailJob(job.getId())}"></b:commandButton>
                                            </div>
                                        </b:form>
                                    </div>
                                </f:facet>
                                <b:well class="detailJob"
                                        style="display: flex;flex-direction: row;justify-content: space-between;">
                                    <c:forEach var="step" items="#{mbStep.stepList(job.id)}">
                                        <b:panel style="width:20vh;text-align:center, margin-left: 1vw;"
                                                 title="#{step.name}" look="primary"
                                                 collapsible="false">
                                            <div style="text-align: center"><h:outputText
                                                    style="color: black; font-weight: bold"
                                                    value="#{mbStep.numberOfActualCandidate(step.id)}"/></div>
                                        </b:panel>

                                    </c:forEach>

                                </b:well>
                            </div>
                        </b:panel>
                    </c:if>
                </div>
            </c:forEach>
        </div>
    </ui:define>
</ui:composition>

</html>